<script setup>
const props = defineProps( ["v-value"])
const {capacity} = (function () {
	let capacity = Object.assign({}, props.vValue)
	if (capacity != null && capacity.count > 0 && typeof capacity.unit === "string") {
		capacity.unit = capacity.unit[0].toUpperCase() + capacity.unit.substring(1) + "ps"
	}
	return {
		capacity: capacity
	}
})()
</script>

<template>
<span>
	<span v-if="capacity != null && capacity.count > 0">{{capacity.count}}{{capacity.unit}}</span>
</span>
</template>

<style scoped>

</style>